0.8.109
  Let the coremod accept certain different patch failures for pseudo-compatibility w/ OptiFine! (For some reason, FZDS works on OptiFine now.) (#4)
  Fixed barrel GLAllocation crash bug (#13)
  Fixed registering OreDictionary entries too early (#5)

0.8.108
  Let the coremod accept certain patch failures for pseudo-compatibility w/ The Betweenlands.

0.8.107
  Disabled RenderSorter. This fixes a crash involving Ars Magica. Credit to jjtParadox!
  
0.8.106
  Fixed previous fix using up stupid amounts of memory -_-

0.8.104
  Made barrel & poster renderers more robust
  FZ's fake player UUID is: f979c78a-f80d-46b1-9c49-0121ea8850e6. The usernames used can vary:
    [FZ]
    [FZ:LeafBomb]
    [FZ:Crafting]
    [FZ:BlockUndo]
    [FZ:socket]
    [FZ:Mixer]

0.8.101
  Disabled the 'improved' middle click for 1.7.10 due to crashes & other unforseen difficulties. You may need to fix your pickblock keybindings.
  Colossi/FZDS collisions were broken with CoFHTweaks. Skyboy & I have got them working together; however if you have CoFH, you will need to update it to 1.1.0B1-52 or later.
  

0.8.100
  IMPORTANT: Back up your world before applying this update! Visit all FZ machines in the world with this update before moving to 1.8!
    (Improvements have been made to serialization code, which may possibly break worlds. Please alert me to any issues so that I can fix them if needed.)
    (Also I said in on the Deprecation page that servo memory will break. I believe I have in fact managed to avoid this.)
  This is probably the last 1.7.10 release???
  Made the /point command stay around for way longer.
  Added a new IMC message for the DocViewer to improve the output of reflectively examined recipes
  Posters no longer eat other posters.
  Colossi spawn creepers instead of zombies.
  FZ's pickblock had far too much derpage when interacting with MC's. FZ pick block has been rewritten to use a new keybinding that steals the vanilla key. 

0.8.99d
  Added /fzds setbiome
  Added Erebus recipeViewer IMC
  Sloped rails can now be walked up in tight spaces
  Screwpump should be able to handle pumping more complicated tank/pipe/flooding setups
  IC2 kinetic energy conversion ratios buffed
  Fixed block undo imediately crashing servers
  Fixed hideous artifact forge output update bug.
  Fixed IC2/Railcraft recipeviewer IMC generation

0.8.99c
  Made bottles of potency cost 30 levels intead of 35
  Hall of legends is now more configurable, and the delay is 5 days instead of 7.

0.8.99b
  Fixed bugs! The server starts now!

0.8.99
  Socket parts on servos can no longer interact with servo rails
  Added /f exportTextures
  Blockundo actually work on servers
  Fix BlockMatcher bug reported by broomstone
  Add a barrelcart uncrafting recipe
  Mimicing glazes can now be loaded by (shift) clicking on a block w/ an unset mimicing glaze bucket, in addition to the crafting recipe.
  Better glaze item icons & item rendering
  Added a stub for mod scripting called 'scrap'; currently just a stub for changing things that annoy me and finding/patching bugs in other mods. Lets you change: maxstacksize, maxdamage, tesrs, entity renderers, and the event bus.
  Use (shift-)WASD (or whatever your player movement controls are set to) in inventories to quickly transfer some items around.
  Buffered screwpump energy efficiency. Again.
  Added the Artifact Forge and the Hall of Legends
  Added the manwich. Lets you store the manual in your stomach for hands-free reference. The manwich stays in your stomach until you die; spicy manwiches last longer.
  Behind-the-scenes code cleanup & APIification
  Fixed bugs related to firing IC2 mining lasers from robot arms

0.8.98
  Rebalanced the water wheel
  Fixed display of narrow IC2 recipes in FZ manual
  Imported extra splashes from the future.
  Fixed oredictionary fail in some recipes

0.8.97
  Block Matcher completed
  Lots of documentation for everything
  Refactored recipe system to bits
  Added support for IC2's AdvRecipes, so they'll be layedout properly
  Made a change to FZDS's usage of RenderGlobal for Fastcraft compatibility; may cause other issues. Let me know.
  Leyden jar recipe uses a lead ingot on the bottom instead of glass
  Screwpump bugfixes
  Custom titlescreen splashes
  Colossus uses temporary normal invisible flaming explosive zombies instead of baby invisible flaming explosive zombies.

0.8.96c
  Fix buggy hammer channel allocation
  Added (kind of badly done) IC2 & Railcraft fzdoc recipe integration
  
0.8.96b
  Blockundo: go into your inventory when broken; will break quickly if broken with the correct tool, but won't silk-touch

0.8.96
  Deleted all anime references from the manual
  Factored the steam turbine into the whirligig and the charge generator, with optional shaft between them
  Charge generator can run on IC2 kinetic energy
  Added anthropic generator
  Added saptap
  Added bibliogen
  Added hotblocks: blocks you've just placed break easily
  Barrels now work in adventure mode. This required a separate block ID, so only newly placed barrels are adventure-mode-interactible.
  Barrel ISBRH sides cull
  Added the 'block matcher'; probably still needs work
  Added /f debugBlockUpdates ; shows world render updates
  Pickblock improvement hopefully no longer has lame behavior
  Added leafbombs; lets you spam leaves nicely
  Added blast blocks; 9 gunpowder; they chain explosions & can set off TNT; triggered by fire/explosions; currently don't actually explode any blocks, this may be changed
  The colossus now puts up a proper fight
  Fixed barrelcart notices
  Removed all unused textures from resource pack (except for a couple), and also stopped loading textures that weren't used
  Boilers hold 1 bucket of water & 1 bucket of steam instead of 8 each
  

0.8.95
  Barrel carts, with lots of help from asie!
  Made sloped tracks climable! This does require a higher ceiling. (Can disable with JVM option -Dfz.disableRailStairs=true (config in coremods being kind of weird or something? I dunno man.))
  Added IVexatiousCrafting, a general crafting API, so that Vexatos can implement his insane plans.
  Bugfixes & polishes
  Fixed a dupebug reported by dtk.
  Barked blocks work in creative mode
  Fixed FzMan lookup of recipes with OD/wildcard entries
  Improved the pickblock improvements:
    Properly handles blocks that don't drop things, like glass.
    A common hiccup was replacing your pick with cobblestone. Now if you do this, you can complete your cobblestone use, hit pick-block while holding & looking at cobblestone, and it will put your pick back.

0.8.94
  The weird unregistered packet situation causes spam and sadness instead of crashes and sadness
  Made DSE collision detection way faster

0.8.93
  Don't allow natural spawns in the hammar dimension
  FZDS crash-fixes
  Added additional debug information for FZDS-related crashes that still elude me
  Added posters
  Fix barrel render config option mix-up
  Now only wooden barrels are flamable

0.8.92
  More of same. Stop breaking things.

0.8.91
  Fix a couple bugs with the mc2713-fixer

0.8.90 - The Mechanical Update!
  FZDS:
    Fixed all FZDS & bukkit/spigot/cauldron issues... The Easy Way™.
    Sockets parts now work with FZDS (except pressurizer support is incomplete...)
    GUIs now work with FZDS. (Not extensively tested. All the FZ and vanilla GUIs I've tried work, excepting anvils. There'll probably be trouble with various crazy mod GUIs.)
    Entities embedded in FZDS can be interacted with
    Other various minor bugfixes.
  Added Winches:
    The winch is made by placing a sprocket on a motor on a socket block.
    Connect a chain between a winch and a solid block in a hinge system.
    Apply a redstone signal to pull the chain in.
    Winches consume charge, of course.
    Weaker redstone signals don't pull as hard.
    The length of the chain can be measured with a comparator.
    The chain conducts charge.
    Fixed the hinge range-of-motion limiter so that it doesn't freak out... as often.
  I got tired of running /f mc2713 all the time, so I made it run automagically (https://bugs.mojang.com/browse/MC-2713)
  Added a config option for renaming /f
    

0.8.89
  Chinese translations by catmunyi!
  French Canadian translations by DragonsLover!
  Furnace heaters can now cook entities
  Add hinges. Blocks can be placed on them, and clicking will turn them
  Position selection bounding box properly on moving DSEs
  Selection bounding box of rotated blocks won't obscure selection of normal blocks
  Refactored dark iron ore worldgen to hopefully be involved in less worldgen crashes.
  (The Colossus still remains as it was, but at least it is fairly rare & usually not too big; silver ore's probably harmless)
  Fix sculpture bugs that caused bad rotation/cook state
  The config option for using the manual without the manual was backwards
  Hammer can be disabled; this will also disable things that require Hammer.
  

0.8.88.8.8888h
  Fixed the infamous barrel render bug
  The enormous scissors can shear tall grass again
  Refactored serialization code. My tests have found no issues, but you should be certain to make a backup just in case!

0.8.88.8.8888g
  Compat bugfix: Mapwriter doesn't open the wrong dimension anymore
  Compat bugfix: Don't crash when RFTools generates a dimension
  Changed bedrock back to the vanilla texture
  Made the (lightened) birch log texture a bit darker
  Make colossi less willing to generate inside holes
  Make colossi awakening grab a more reasonable quantity of blocks
  Don't crash with Optifine. (However, there are still non-crashing issues with optifine.)
  

0.8.88.8.8888f
  Taught the wither the true meaning of friendship (AKA made it not break bedrock anymore.)
  Added a patreon barrel recipe! You can add more barrel recipes by supporting me on Patreon!
  Non-wood barrels have a different texture on the top
  A copy of the FZ Manual can be read here: http://purpleposeidon.github.io/FzDocs/
    (The in-game version is better.)
  Made the manual handle weird items (eg, Forestry combs) more safely

0.8.88.8.8888e
  Hopefully maybe actually fixed the WorldClient crash

0.8.88.8.8888d
  Hopefully (?) fixed crashes involving EntityRenderer & Explosion
  Added some references for mod devs
  Add config for colossus spacing
  Increase the generation weight of dark iron generation; this should resolve issues with flat bedrock

0.8.88.8.8888c
  Fix incompatability with Creeper Collateral

0.8.88.8.8888b
  Fix the bugs introduced by the previous bug-fix release. Testing is important!


0.8.88.8.8888a
  Underped the localizations
  Made DSEs immune to explosion knockback
  Fixed the dimension ID config; however it is now in a different config file

0.8.88.8.8888
  Major changes to the license.
  Added the Lost Map. It is now the starting point for Factorization. You will find it after getting the Diamonds achievement. Using the map will point you towards... the new source for the LMP, and a nice bit of Dark Iron and Logic Matrices. It can break, so don't use it too much! And you'll only get one, so don't drop it in lava!
  Added the /deglitch command. Useful for escaping glitchy situations!
  Added Gargantuan Bricks. I assure you that automatically crafting them is pretty easy.
  Rewrote dark iron ore spawning. They miiight have been causing worldgen crashes, especially with flat bedrock; hopefully they'll stop doing that, and they'll also be easier to find with flat bedrock as well.
  Changed the bedrock texture and (less noticably) the Birch log texture.
  Added the Twisting Dark Iron Block. It has the potential to mess up your world, so be careful with what you put on it. If things go really south with those features, as a last resort you can try deleting its dimension (see the config file). But first see if you can use the /fzds command to fix it.
  A bunch of bug fixes, tweaks, polishes, minor, and less major additions.

0.8.88.8
  Add "Count Items" servo instruction. Counts the number of items the servo's holding.
  Add "Read Redstone" servo instruction. Gets the redstone signal on the block the servo is pointing at.
  Made goo less buggy in creative mode
  Double-punch a gooey block while holding goo to deselect everything

0.8.88.7
  A copy of this changelog is now located INSIDE the mod itself! Whoah! It's like a whole new mod!

0.8.88.6
  Hopefully made the pocket crafting table less laggy

0.8.88.5
  Hopefully fixed AT verifier issues

0.8.88.4
  Just polishing & bugfixing.
  Goo:
    Shifting goo into the void will return it to you; use this to recover goo that is inconvenient to break
    Goo now expands twice as quickly, and punching it removes a larger area
    Using goo in creative mode should behave better
    Creative-mode players can spread goo up to 1024 blocks
    Fixed z-fighting at certain camera angles
    Shows a bounding box in the tool tip

  Screwpump:
    Clicking on a screwpump with a fluid container will drain its buffer into the container
    Pumps faster
    Uses a bit less power
    No longer floods for free
    
  Sculptures:
    High-fired sculptures that were glazed with a block that was since removed (or with those old glaze textures) can have a new glaze applied for free
    Raw glazes have colors that are actually random rather than just varying shades of red.

  The nametag buff can no longer be applied infinitely
  Shift-clicking an otherwise blank servo rail with an LMP will remove the color
  
0.8.88.3
  Screw pump's max pump height is now 12 instead of 7
  Better format for the half-hour time reminders

0.8.88.2
  Barrels don't break in creative mode, unless you shift-punch.
  Barrels don't render the item count if the item count is 1.
  Fix horrific infinite steam bug
  It is I who did the half-hour time reminders! They can be turned off now!

0.8.88.1
  Bunch of bug fixes & polishes:
    socket shifter checks redstone properly
    Fix dark iron ore's glint
    Made /f now use localy formated time; notes can be added with the command as well

0.8.88
  Important note:
    Socket blocks ignore redstone signal from the facing direction
    This breaks some builds; there's a config option for it
    ...except for the item shifter. It still takes redstone signals from the front.
  Enormous Scissors, by SoundLogic!
  ... with help from neptune
    A socket part!
    Cut things!
    Leaves and grass and stuff get sheared!
    Mobs get cut! And the scissors occasionally give you an extra cut of loot!
    Any and all bugs are SoundLogic's fault!
  Goo
    Oh man! It's totally awesome!
    Goo can be applied to a block.
    Gooing up a gooy block will spread the gooey goodness.
    Punch a gooey block to remove the goo and the adjacent goo
    Shift-punch a gooey block to remove a one goo
    Right-click gooey block with a block to replace the gooey blocks.
    Mine the gooey block with an appropriate tool to break the gooey blocks.
    Shift-right-click an ungooed block with some goo to move the gooey selection
    Mining & replacing goo will occasionally cause goo loss.
    The recipe is temporary -- get it while it's cheap!
  Sculpting tool is now with 50% less NPE.
  The time will be printed every 30 minutes if you're in full screen.
  /f rng will spit out a random collection of random things
  Improved the placement of giant mushroom blocks.
  Added creative charge battery
  Inoculated the screw pump against derp; hopefully it will work consistantly now
  Fixed some barrel rendering bugs
  Fix steam turbine speed syncing
    

0.8.87.2
  Temporary wrath^wMagical lamp recipe
  

0.8.87
  Czech localizations by golyalpha!
  Work around for another change that made mirrors stackable
  Added recycling recipes:
    LMPs can be slag-furnaced'd
    Instructions can be smelted into blank instruction plates
    Logic Matrix <Whatevers> can be smelted into blank logic matrices
  Lacerators speed up much quicker
  The LMP clicking/shift-clicking a note block with an LMP will adjust the note up/down, and show its name
  Jumping off a building and onto a horse will break the lead, if necessary, and give the horse a small speed buff. The buffs will be much more significant if you are jumping off a tall building while holding a weapon or carrying a damsel.
    

0.8.86
  Better coremod
  Remove conflicting lacerator recipes
  Blocks with buffered output can be punched to unclog. This can be helpful for recovering your items if you've fallen into your industrial sugar cane farm.
  Jammed some netspam
  Unplugged a render bug

0.8.85
  Coremods are even better than localizations.

0.8.84
  Localizations are useful.
  Fixed probe

0.8.83
  Ran over a bunch of giant render bugs with a truck.

0.8.81
  1.7.10 port
  Prevent notices sent to fake players, which was causing networking error spam
  Added the /point command. Point at things!

0.8.80
  Return the silver ore slag recipe to existence

0.8.79
  Servos & servo rails can now be colored; a colored servo will ignore differently colored servo rails.
  The pressurizer now has 3 slots on servos, and defaults to sucking
  /f saycoords now supports notes; eg "/f saycoords there's a big cave here!"
  Since I'm tired of discovering I've been playing in peaceful for the past 2 hours and/or losing named mobs, I've added a button to the world select screen that warns you if you're about to load up a world with peaceful difficulty.
  Crystallizer state syncs & renders better
  FINALLY FIXED THE SERVO GLITCHY TURNY THING \(╥﹏╥)/
  Hopefully maybe possibly fixed ore processing recipe problems
  Switched to Forge's FakePlayer

0.8.77
  Fixed some NPEs.

0.8.69
  Unbroke the Embarkener

0.8.68
  Ported to 1.7
  Servos Logic has been rearchitected. There are now only 2 stacks.
    So, removed some instructions and added some new ones
  Removed a ton of lame things, including:
    Router
    Bag of Holding
  You'll find an FZ Manual shortly after acquiring iron.
  many many other things, such as:
    new recipe for bonemeal
    clicking on paintings with an LMP cycles through all the paintings
    barrels indicate when they'll be placed in a strange direction

0.8.35
  Fix pressurizer draining & flooding

0.8.34
  Documentation! Not yet finished.
  The pressurizer can no longer be used to generate power, and has been renamed from "Pressure Generator"
  Pressurizer entity-blowing can be disabled with a RS signal
  Lacerators on servos can now hold FOUR items. Opulent luxury!
  Robotic arm:
      now less likely to crash servers
      now less likely to use certain items multiple times at once
      if the inventory is empty, or it doesn't have an inventory, it'll click w/ nothing
  Also other bug fixes

0.8.33
  Servos weren't dropping their socket tool correctly
  Item Shifter defaults to moving some 64 items instead of hoppering 1 item at a time
  Added english localizations to the pressure generator setting config

0.8.32
  Bug fixes & polishing.

0.8.31
  Added the 'probe' instruction:
    This is a sub-instruction of Shifter Control.
    It will push how many items match the item held by the servo.
    If the servo is holding no items, it should count all the items in the inventory
  Added the Pressure Generator. Many features!
    It has two settings: Suck/Blow, and the speed (off, slow, medium, fast)
    Pumps Liquid:
      Can drain from tanks and pump from the world, and fill tanks and spill to the world
    Generate Charge:
      Have a tank of steam at the back (such as from a Steam Boiler)
      Have a clear space in front of the Pressure Generator
      Apply a redstone signal to the generator
      This may work with other gasses...
    Blow Entities:
      If blowing, it can drop items from an inventory behind it.
      At slow speed, it will only blow items. Faster speeds can move mobs and players!
      Faster speeds have larger radius & distance.
    But only BlowEntities works on servos
  Barrels no longer render the enchantment glint.
  The caliometric burner now burns food at from ends.
      

0.8.30
  fixed apostraphe in license
  French localizations by WLCD!
  Changed servo inventory size to 1! It happened!
  Fixed servo & fan rendering causing signs to flicker
  Clicking on a servo with an instruction will cause that instruction to be executed immediately.
  Added instructions (and a decorator) for user-defined procedures.
    Some stacks have specific uses:
      White is the IO stack.
      Black is the error message stack.
      Yellow is the argument stack.
      Red is run on block entry if something else isn't already running.
    "Entry Action" can be used to read/write instructions to the servo rail
    "Scan Color" is a decorator that will read the color of the block the servo is facing. Works on wool, stained clay, and wheat.
    "Stack Transfer" pops a color, and moves stuff to/from the IO stack and that colored stack.
    "Run Stack" pops a color, and moves control to that stack. But there is no RET instruction!
  Silver ore nodes spawn 1 per chunk instead of 1 with 0.125-chance-for-an-extra per chunk

0.8.29
  A warning: I am going to reduce the number of inventory slots in a servo to 1 in the next version. This will cause item loss.
  Barrels render more efficiently. As a side-effect, their fonts can be customized.
  Recipe changes:
    Lacerator uses an iron pressure plate instead of an iron bar
    Got rid of the magnet crafting item. Batteries are used instead.
    Simplified the servo motor recipe   

0.8.28
  Servos:
    Fix rail renderer UVs; changed its texture
    ShifterControl'll let you access slots as an int instead of a byte
    Made the speed not be twitchy
    Added a Commenter; this tool lets you add comments to servo rails
  Localizations:
    Polish localizations by Szewek!
    Russian localizations by Anton!
  Barrels can be pushed with a knockback sword after drinking a strength potion.
    Only half of all possible orientations & positions are available with ordinary moves: push up a slab to get the other half
  redstone signal makes lacerator stop digging and slow down at the same time, instead of slowing then stopping.
  Added recipes for the secret vanilla all-bark logs. (This might cause mod compat bugs; let me know...)
  Ceramic sculptures:
    will now face towards you when you place them.
    energy required for high firing has been halved

0.8.25
  Fix the jump instruction
  Maybe improve the barrel lighting?
  Repackaged things; some hard-coded mod interactions may break.
  Caliometric burner can now hold only 4 items of food in its mouth at a time
  Fix processing chain for lead ore (Pb, not Ag)

0.8.24
  Fixed dirty gravel ore slagging recipe being missed out on the probability reassignment.
  Heater won't go transparent
  Robotic arm does buckets now, sort of.
  Sculptures made by molding a high-fired piece won't think they've still got the original glaze on.
  Caliometric burner accepts low-quality foods again.
  Limit barrel error spam

0.8.23
  Fix socket's "transer some" to stop after moving 1 stack.

0.8.20
  Giving out slightly fewer free silk touch diamond pickaxes
  Fixed lacerator partial breaks
  Parasieve can interact with entities like chestcarts and servos
  [I'd like for them to do comparator output, but this isn't reasonably possible.]
  Added a /f command/config option to make servo instructions not be myopia-inducingly small

0.8.19
  Compression crafters look slightly harder for output inventories
  Made steam boilers more willing to output steam again

0.8.18
  Fix rendering of multiple notifications
  Fix servo resuming from a trap (hopefully?)
  Fix Lacerator leaving partial breaks on blocks like sugarcane
  Added "Unconditional Skip"; it's filed under the Jump instruction

0.8.17
  Improved a couple recipes
  Servo instructions mention if powered
  Rewrote servo packet code

0.8.16
  Squashed more bugs; the chitinous chrunching melody bewitches.
  Servo doesn't drop an empty socket
  Servo has slightly less horrible bounding box probably
  Caliometric burner:
    better quality food lasts longer
    all food gives same amount of heat
    redstone signal stops eating, but not digestion
  Heater:
    A single heater no longer gives the speed bonus
    Will consume more power
  Fixed lacerator not breaking certain blocks with metadata properly

0.8.15
  Item shifter uses smarter insertion than lame hoppers
  Sockets accept weak redstone signal

0.8.14
  A single furnace heater will no longer give a speed boost; you'll have to use two or more. Also made them use more power.
  Thaumcraft: Crystalline metals won't give the nugget bonus. Because >3x'd be just silly ;) Other stages however remain uneffected.
  Even more bug fixes!

0.8.13
  Bug fixes

0.8.12
  Pocket crafting table:
    Rewrote the container; hopefully it'll stop being laggy & buggy. 
    Rewrote the action of the 'c' key; it is now "swirls".
  Other bug fixes.

0.8.11
  Miscellaneous Nonsense:
    Added /f tesrtoggle
    Improved the improved PickBlock
  Added a recipe for accessing vanilla's smooth sandstone blocks (There are also similar recipes for similar blocks.)


0.8.10
  Servos actually drop their socket tool when broken
  New mode for item shifter; doesn't transfer the exact amount of items.
  (And a few other bug fixes)

0.8.09
  Changelog links in the OP? Madness!
  Bug fixes:
    Robot arm will hopefully play nicer with local-side barrels
    Socket items don't try to merge in your inventory

0.8.08
  Antinerfed recipes for sprockets & robot arms

0.8.06
  Added Dark Iron Ore:
    Found around Y=4; watch for changes in the bedrock
    Wrath fire can no longer be created; the igniter will hang around for crafting wrath lamps
    Can be ore-processed in the usual manner
  Servos break themselves when not on a rail
  Item Shifter:
    Added the Item Shifter Control instruction
      Multi-mode; it may pop an integer from the argument stack
    The 'transfer limit' is now an exact amount of items to transfer
    Clicking on a block-socketed Shifter with an LMP'll open up a config GUI
  Fixed middle click
  Deprecated grinders for lacerators; they can be converted
  Removed the buggy and kind of pointless mixer NEI handler
  Parasieve works nicely with comparators now


0.8.05
  Localizations:
    German localizations by Vexatos!
    Spanish localizations by Darkona!
    Chinese localizations by crafteverywhere!
    Thanks!
    https://github.com/purpleposeidon/FactorizationLocalizations if you would like to contribute localizations
  Commands:
    Made the /f command user-friendly. Use it!
    Added the /mutter command; write messages above your head!
  Barrels:
    Changed the silky barrel recipe from 1 silk touch book to 8 cobwebs, and they must be broken with a Silk Touch axe
    Hopping barrels respect redstone signal.
    Hopefully made barrel placing more intuitive. It will always place upwards unless:
      Clicked close to the edge of a horizontal face
      Clicked against a vertical face while looking straight up/down.
    Can now store damaged items
    Items with NBT tag 'noFzBarrel' can't be put into barrels by clicking

  Parasieve:
    Now cheaper
    Filter can be inverted with a redstone signal
  Compression Crafter:
    BUG: Broken on servers; waiting for https://github.com/MinecraftForge/MinecraftForge/pull/781 to fix
    now requires an adjacent inventory to store crafting results, instead of dumping everything on the ground
    improved self-documentation (and hopefully not annoying. >_>)
    items that have durability, such as wrath igniters, will be re-used as much as the other crafting materials permit
    crafts up to max 32 items at once instead of 16
  Sockets:
    These are blocks that you shove specialized tools into
    The Lacerator:
      Combination mob/player grinder, (ore) Grinder, and block breaker
      Requires an inventory for outputing items opposite the business end
      Powered by charge, of course
      Redstone signal deactivates
      Replaces the Grinder
    The Robotic Arm
      Clicks using items in the inventory behind it
    The Item Shifter:
      Pretty much just a hopper for now; more functionality coming
  Servos:
    Corrected intersection handling code
    Added the Entry Control instruction; tells servos which path to use or not use.
    They can hold socketed tools
  Caliometric Burner, a new power source:
    Place next to a water boiler. Note that multiple burners can be next to a boiler
    Uses food to make steam. Higher quality food makes more steam.
    More than one burner can be next to a boiler
    Right-click with food to feed it; food can also be fed through the sides.
    A redstone signal will disable digestion.
  Water Boilers/Solar boilers:
    Renamed since it boils water, not solars.
    Output steam at full speed now.
  Tinker's Construct aluminum, ardite, and cobalt ores can be processed
  Buffs:
    Made the leyden jar much easier to charge
    Made glaze recipes be not ridiculous
  Bug fixes:
    various recipes weren't crafting
    Servo texture
    Hopping barrel NPE, and another one involving furnaces
    Solar boiler sending steam upwards
    NEI recipe handlers
    Slag furnaces light properly
    Mixer dupe bug
    nether fog


0.8.03
  Ported to 1.6.2
  Did some weeding:
    Bye-bye wand of cooling, inverium, craft packets
    BoH limited to 16 columns
  Bug fixes:
    battery item renderer
    Fixed item drop backlog breaking
  Tweaks:
    Servo inventory limited to 5 items; this might cause item loss, but that doesn't actually matter since they're creative-mode only (Still! Grrr.).
    Tons more grinder recipes

  Barrels: Rewritten.
    They can have any orientation; use some wrench to change it
    They can be filled from the back as well as the top
    Wood:
      They have to be crafted using a single type of wood.
      They will show what wood they were made out of. So you can have Oak Barrels, Eucalyptus Barrels...
      If there is no slab to go with a log, then a plank can be used instead.
    Now available in 6 delicious flavors:
      Normal: Same as the old barrel.
      Larger: 100% larger than normal barrels.
      Hopping: Acts like a hopper.
      Sticky: Leaves the last item.
      Silky: Keeps its contents. Break with an axe to prevent spills.
      Creative: Available in the creative menu; gives infinite items.
    The old barrels should hang around, but won't be craftable.
  
  Compression crafter: New!
    Variable-sized in-world crafting table.
    The internal area can be between 1x1 and 3x3
    Place the compression crafters from inside so that the grid is facing inwards (just like creating an End Portal frame in creative mode)
    To craft, apply a redstone signal to one of the compression walls. The wall that gets the signal defines which way is up. (So you can craft north, south, east, west, vertically, and upside down.)
    The crafting results are dropped as an item entity.
    It has an interesting way of populating the crafting grid:
      1: It will try to use the contents of a barrel
      2: It will try to use the items that are dropped when the block is broken
      3: It will try to use the items that result from breaking the block, and then crafting what it drops.
      4: It will try to use the block as an item exactly as it is in-world.
    It can craft up to 16 items at once, tho this tends to be possible using only barrels.
    Examples:
      Crafting a piston using 4 cobblestone, 3 wood planks, 1 block of iron, and 1 block of redstone will drop 1 piston, 8 redstone, and 8 iron
      Crafting a 2x2 of nether quartz ore will drop a block of nether quartz.
      5 wood logs can make 4 boats

  Reminder: Diamond shards are made by blowing up a placed block of diamond
  Fixed sculpture shading

  Parasieves: Added in 0.8.00 I think. Oops.
    Placing a parasieve up against an inventory will extend and filter it.
    The filter passes nothing if nothing is in it.
    The top slots are paired with the bottom slots. If an item is in both slots, this will define a range of items to use. This considers things like the presence of an NBT tag, damage value, and the class of the item.


0.8.01
  Everything now supports comparators (probably everything)
  Fixed smooth turning in servos
  Servos can now right click with any item; now the only thing that makes actuators special is that the servo can configure them. (Buggy/broken)

0.8.00
  Changed license
  Limited Wrath Lamp RAM-eating
  Barrels are wrench-rotatable
  Diamond shards can now be made by blowing up diamond blocks
  Pocket crafting table:
    self documenting
    will try to move itself out of the crafting area instead of closing, if possible
    Added a "fill empty area in crafting grid with item under cursor" pocket crafting table command
  REMOVED:
    solar turbines
    the unloved exo armor; if you're a dev who cares: https://github.com/purpleposeidon/ExoArmor (I should have waited until 1.6 to do this. Oops.)
    (While we're talking about 1.6: I'm going to be consolidating Item IDs, so item IDs are going to change.)
  Bugfix: Breaking a machine with a wire attached would fail to drop the right items
  Charge:
    Furnace heaters can heat through other furnace heaters. Heating this way is less efficient.
    Leyden jars now emit a bit of light. How did I miss this!?!? Also increased z-politeness of the knobby bit
    Solar boilers require at least 4 mirrors to operate
  MISC NONSENSE:
    Added time dilation to make laggy servers look less laggy by slowing the client down to match. If you don't like it, there are config options to change/disable it both client & server-side.
    Added some fun stuff
  ADDED SERVOS
    Servo Rail:
      A block. Needs to be powered.
    Servo:
      An entity; is placed on the rails
      Has a direction & an orientation
      (The model is temporary, and the renderer has some interpolation issues)
    Instructions:
      Made using paper, a logic matrix programmer, and some other ingredient
      They have infinite uses
      They are configured using the programmer; shift-right clicking with it will clear the instruction
      Clicking an instructino may give some information about its configuration
    Programming:
      The servo has 16 stacks of max size 16. The stacks can hold values of various types, and also ItemStacks.
      (Right now you can't do much with them...)
      usually when a value is taken off the stack, whatever's pulling the value off will ignore types that don't match what it's looking for
      Some stacks are dedicated to a particular purpose: arguments, code, IO, equipment...
    Actuators:
      Usable by the servo and by players.
      Right clicking does something; shift right clicking does something related.
      They are configurable; there's an instruction for Configuring actuators.
      Click on a servo motor with one to equip it
      There's only one actuator right now, Item Manipulator:
        Configs: slot (Integer; -1, or >=0) limit (Integer, >0)
    Decorators:
      They go on servo rails like instructions do, but they aren't free.
      Right now the only one is the Loading Bay:
        When a servo motor passes through, it is equipped with an item from an inventory that it's facing.
        When it passes from the top, nothing happens
        When it passes from the bottom, an item is removed
        

0.7.37
  Increased the leyden jar's capaciy
  Corrected crystallizer ISidedInventory sides

0.7.36
  Introducing the Leyden Jar:
    - Stores tons more charge than a battery
    - Needs >150 charge to start storing energy. You can get sufficient power by stacking 3 boilers on top of eachother, providing as many mirrors as can fit (using a cone shape), and sticking a turbine on top of that.
    - It's very cheap, and very inefficient
    - Is able to charge the lower tier batteries
    - a must-have for any scientist's lair


0.7.35
  Fixed bugs in the crysatllizer & router

0.7.32
  Added an item hint system! What items need hints?
  The Logic Matrix Identifier uses netherquartz instead now

0.7.31
  Normalized machine input/output sides to match vanilla's new style
  Fire engines can't read.

0.7.30
  attempted (?) fix for sculpture collision crash

0.7.27
  The recipe for coils now gives you 4 instead of 1!
  Changed the sidedness of things so that they're hopper-friendly
  Bugfixes
    - Localizations for exo-armor
    - crystallizer solution rendering
    - corrected exceedingly derpy IInventory implementations

0.7.25
  Bugfixes

0.7.23
  Ported to 1.5.1
  Ceramics: Gotten far too much love
    Previously made ceramics are now broke, as was foretold some months ago
    Firing:
        (Not new: DRY a sculpture using wool, or by leaving it alone for a while. Make it WET with a bucket of water)
        A DRY sculpture can be BISQUED using a furnace heater.
        A BISQUED sculpture can be GLAZED.
        A GLAZED sculpture can be HIGHFIRED using a furnace heater. This takes much longer, you'll want to speed it up by wrapping it in multiple furnace heaters. Pieces that extend outside the 1m^3 have more surface area available for heaters.
    Sculpting Tool Changes:
        New mold tool; right click a fired piece w/ necessary materials in your inventory to get a wet copy of it
        Rotation is much nicer
        Selection tool is gone; it uses subblock selection
        Removal tool is gone; use your fist. If the sculpture is wet, it'll break only the lump you're hitting.  (Sneak-break to break the entire sculpture.)
        Rotation tool split into global rotation & local rotation
        Reset tool will remove rotation (like before), or with shift-click reset position & size
        The tools can now be stacked up to 4. Using a stacked tool may boost the effect.
    Clicking on a clay lump with a ball of clay will create a new clay lump with the same size & rotation, placed on the side that you clicked on. (Unless it'd go out of bounds)
    Wet sculptures can be crafted together to merge them into a single sculpture. (But there is a 32 claylump limit)
    Sculptures now have (mostly) proper collision boxes
    Glazing:
        Glaze buckets have 32 uses; right click on a BISQUED lump to apply it.
        Each glaze is made using one of the glaze bases.
        The first glaze base is the common base; there is a hierarchy of more advanced bases
        There is a special glaze base, the mimicry base. If you craft it with a block, the glaze will use the block's texture.
  I've saved the best for last, but be warned! If you have food or drink in your mouth, cover it with a sturdy napkin or handkerchief, as you may damage your computer; if you're standing in a subway car, sit down, or wait until you have reached your destination before continuing to read this, as you may faint; if you have high blood pressure, or your family has a history of heart disease, forgo reading the rest of this changelog entirely; if you need to remain stoic in the presence of friends or colleagues, continue only behind closed curtains and in the utmost of privacy: the block breaking particles are no longer derpy. Yes, you did read that right. The block breaking & digging particles are no longer derpy. The particles actually look, for most things, like the breaking block.

0.7.21
  Furnace heaters can be deactivated with a redstone signal

0.7.20
  Fixed some dupe bugs

0.7.19
  Added netherrack dust; made by grinding netherrack
  Crystallizing metals now requires a higher-tier acid
  Routers do less netspam
  /fzds got more powerful and flexible
  Added an "/f" command. (Originally short for "/fog", but it's got other things now.) Has a few commands for running things client-side:
    far, 0, normal, 1, short, 2, tiny, 3, micro, 4, microfog, +, -: Adjusts the fog
    pauserender: Stops rendering; opening your inventory will resume it
    now, date, time: shows the real-world time
    clear, cl: Clears the chatlog
    saycoords: Makes you say your coords in chat.
    saveoptions, savesettings, so, ss: Saves Minecraft's options; it seems to have trouble doing this


0.7.17
  Router takes only strong power now
  Fixed key binding issue

0.7.16
  Bugs.


0.7.15
  Insubstantial changes to the License.
  Solar Turbines are being replaced with Solar Boilers and Steam Turbines.
    - The solar boiler is setup the same way the old turbine was. Instead of sucking water up from the bottom, it can also be piped in using some other mod's fluid transport. The steam comes out of the top side.
    - Solar boilers can also be stacked on top of eachother. Steam will be sent to the topmost boiler, and water will be shared. Steam will be sent to a Steam Turbine if it's placed ontop of the Boiler.
    - Redstone signal on the boiler will prevent it from sucking up water; signal on the turbine will stop it
    - This system is compatible with Railcraft steam. (And railcraft has a much better texture.)
    - The old solar turbine is now deprecated: It can no longer be crafted, but they will still work. Craft it to get the motor back.
  Redistributed ore processing yields. The yields, starting from 1 ore, are:
    Grinder: 2x
    Mixer: 2x (No increase here)
    Slag furnace: 2.5x (The .5x gives a 50% chance for 1 extra reduced chunk)
    Crystallizer: 3x
  The charge meter does a global notify if the player is fake. (It works in deployers! Aim the deployer *above* the conductor block.)
  Grinders are now crafted upsidedown, instead of having two different unsatisfactory recipes.
  Fixed crystallizer recipe bug
  Sounds actually work again. Derp.


0.7.14
  Solar turbine recipe uses glass panes instead of glass blocks
  Solar turbine uses less water; this prevents a fully powered one from causing block updates every half second.
  Mixers & Crystallizers now render more efficiently
  Wrath furnace handles netherbrick slabs
  Upgrading barrels is broadcast to other players

0.7.13
  Barrel network spam bugfix

0.7.12
  Barrels accept things again
  router thoroughness upgrade makes it reset

0.7.11
  Changed how barrels put out items when clicked (Still isn't perfect tho)
  FZDS has motion & collision

0.7.10
  Ported to 1.4.6
  Notifications are smaller
  The angular saw now gives out notifications
  Fixed battery damage value bug from angular saw
  Emerald ore is now grindable & sawable

0.7.9
  Translations happen on the server instead of the client now. (There is a config option to change this.)
  Heaters stay hot

0.7.8
  Added config option for silver ore node size
  Silver nodes are smaller
  Removed spam
  Changed the colors of semiprocessed ore for the better.

0.7.7
  Fixed the issue with ExoArmorTextured & Forge 436 enfocing identical items
  Router bugfix: Slot#-specific access ignores the side selection

0.7.6
  Router bugfix

0.7.5
  Routers:
    Item filters now work when inserting: They will limit how much goes into the inventory
    The machine filter lets you access routers if you say so explicitly.
  Fixed wrath lamp breaking

0.7.4
  Fixed NEI plugins & key handlers
  Few other bug fixes

0.7.3
  Redstone pulses work
  Halved mixer time

0.7.2
  Made network code actually work probably

0.7.1
  made network code more efficient
  config should turn FZDS off completely

0.7.0
  Started work on dimension slices

0.6.13
  Wires are now cheaper
  Heaters don't consume energy quite as much
  fixed crystallizer recipe bug
  Fire is now invisible ontop of the machines. :|

0.6.10
  All GUIs do shift clicking properly now (Finally!)
  Fire is now visible when ontop of blocks
  Barrels are flamable
  Ore Dictionary/Ore Processing are now working perfectly.
  ...
  AH HA HA HA HA. Oh man, I'm the best.
  Sludge now smelts into clay balls.

0.6.9 -- Polished
  Fixed a bunch of terrible, awful bugs
  Fixed some long standing bugs, notably:
    - Mecha armor is now actually usable (?)
    - Slag furnace is no longer obsidian

0.6.8
  Made mirrors less heretical
  Made mirror arrangement more heretical

0.6.7
  Improved the pocket crafting table's "c" action. Some examples of its behavior: If you have two stacks of A and B like this:
        [AB-]
        [---]
        [---]
  and press c, it'll become
        [ABA]
        [B-B]
        [ABA]
  and if you have a stack of 5 wood like so
        [---]
        [--W]
        [---]
  it'll change to
        [---]
        [W-W]
        [WWW]
  Exo-armor: (Formerly known as Mecha-armor)
    - Rewrote event system; it is now more flexible & useful (Localization is incomplete ATM)
    - Changed default exo-keys to be less intrusive
    - Added a "Wall Jump" mecha armor upgrade. Run at a wall, jump, and activate the upgrade. The effect stacks, of course.

0.6.6 -- Buffed!
  The grinder is 60% faster
  The angular saw now has infinite use, and works on stone & glass.
  Since neither Notch nor nobody check isAirBlock, the wrath now lamp lights up 3 blocks away from the floor. (But it will light up at least 1, so you may need to raise them off the floor if there are problems.) This should help with most forestry farms and the railcraft Tunnel Boring Machine.

0.6.5
  Crystallizer inverium recipes actually work now.
  fixed BoH bug

0.6.4
  Fixed barrel enlargement recipe
  crafting machines emit a redstone signal
  craftpacket maker now has a dedicated slot for paper, and can no longer store infinite paper. Other paper-based products can no longer be used to make packets.

0.6.2
  Processing silver ore will now give you both silver and iron ingots. Any dirty lead gravel and clean lead chunks will no longer be usable.
  The extra slots in the crystallizer are now useful: If you place extra stacks of the material in them, they will be crystallized together.
  There are now NEI recipe handlers for all ore processing equipment. Clicking on the progress arrow in the GUI will show you all the recipes for that machine.
  Grinding is faster.
  Added in-world notification system; it's not quite perfect.
  Fixed problem placing certain items related to forge update.
  The proper battery now shows up in NEI.
  Using forge 298
  Battery discharging recipe
  This file is now in the Factorization jar.

0.6.1
  Using forge 272

0.6.0
  Grinder recipe no longer uses dark iron.
  Excorsized demons in favor of Inverium.
  Rewrote the energy net. 3rd time's the charm?


0.5.6
  Initing earlier will hopefully prevent a different BC facade crash.

0.5.5
  Re-arranged the config.
  Added a config setting to disable TE rendering
  Added inverium with a temporary recipe. Inverium will be used in the crystallizer to obtain exotic materials
  Added an angular saw. It requires a battery in your inventory, and has silk touch for (vanilla) ores.
  Diamond, redstone, and lapis ores can now be ground up.
  Fixed the BC errors probably
  Fixed the GL errors


0.5.4
  Fixed recharging batteries

0.5.3
  Added another slab recipe
  Fixed barrel recipe
  Fixed barrel lighting
  Wrath forges will only burn what's directly adjacent to the flame, making them 433% cooler.
  Changed charge propagation. Long distances should work now.
  Blowing up a diamond block now gives you 18 diamond shards instead of 12

0.5.0 -- Electrically Charged!
  Ported to Minecraft 1.3!
  Due to concurrency & laziness issues, the client will dynamically pick an additional block ID if possible. The block will be used only for rendering. I don't anticipate it causing problems with other mods. If you've somehow managed to use up all 4096 or so other block IDs, the real Factorization block will be used instead; this would cause occasional rendering glitches when using the integrated server.
  The pocket crafting table & bag of holding now respond to key presses only if they are not otherwise handled. BWAH-HA-HA-HA-HA!
  The barrel renders blocks much nicer now.
  Wrath lamp recipe is now 4 dark iron & 2 silver.
  Removed sentry demons chunk-loaders due to lack of confidence in their correctness. And also laziness. Use ChickenBone's chunkloaders instead. They may return with a change in job description.
  Wrath Forges are now more expensive to operate.
  A few bug fixes for the Router GUI, and the auto-ejector.
  Slots.
  Nerfed wrathforge. It's no longer refuelable, and will last for 36 blocks
  Silver ore nodes are now evenly distributed in every 5 chunks
  Created a recipe for stone slabs

  More Electricity:
    The battery block is made using acid & lead. When crafted, it will be fully charged. They do not stack. Battery blocks keep their charge when broken. They are used to craft magnets, which are used in motors. A battery block can't charge another battery block.
    The Grinder is the first step of the ore processing chain. A second use for diamond shards!
    Also there is the Mixer, which is used for water-based recipes
    Crystallizer; its recipes require 1 material, and a fluid to suspend them in. The fluid is not used up. It needs to be heated to get started. It takes 20 minutes to complete a recipe.


0.4.0 -- Secretly Updated!
  Electricity:
    Solar turbines, reflective mirrors, heaters, wires, charge meters
    Solar turbines require a few reflective mirrors facing towards it on the same y-level, and a water source block underneath. 4 mirrors will produce enough electric charge to power a heater.
    The heater allows you to run vanilla furnaces & slag furnaces without fuel. Place a heater adjacent to a furnace to heat it. A properly heated furnace will cook faster than normal. You can put more than one heater touching a furnace for extra speed.
    The wires are called "Soldering Wire". Since it's very weak structurally, it must be supported by a block (or supported by a wire that is directly supported).
    A Charge Meter will tell you how much charge is at conductor, how many conductors are connected, and what the average charge on them is.

  Wrath Fire now treats other netherbrickblocks properly
  Using more ore dict.
  Added ejection router upgrade. You'll need to use the filter upgrade with it.

0.3.2 -- Upgraded!
  In brief: Mecha-upgrades, and Router upgrades.

  Doesn't work with the old ModLoader. Do not install ModLoader, install the recommended Forge version instead.
  The pistonless recipe for makers has been removed, 'cause it didn't make sense, 'cause the recipe for pistons doesn't make sense.
  Redstone ore, Tin, and Copper are now slaggable.
  Bound demons are now mostly harmless, and unbound demons more dangerous.
  Internal workings of barrels changed so that they should now work with Logistics Pipes, and should be more likely to work with other item-moving systems by default.
  Since I found like 4 silver veins right next eachother in my playtest world, silver is now guaranteed to not spawn in every 3rd chunk.
  Routers:
    might work sensibly with frames now
    now have an upgrade system! And the GUI has been re-made. I'm hoping that an GUI w/o upgrades will be easier to understand.
  Router upgrades:
    Machine Filter (This was in the previous version. You will have to craft an upgrade & reset it if you were using it.)
    Item Filter ([i]Diabolus in machina![/i] You get 9 slots.)
    Speed Boost (Will be faster at removing items from a mostly empty network, or for networks that are large/complex)
    Thoroughness (Will attempt to completely finish handling a machine before going to the next one.)
    Bandwidth (Will move up to 1 stack of items at a time)
  Did I mention that you can turn off a router by giving it a redstone signal? That's not actually a new thing.
  Additional fun router-related fact: Many buttons can be right-clicked.
  Mecha upgrades:
    buoyancy barrel: This makes you rise quickly through the water. I hope you haven't forgotten your water elevators!
    cobblestone drive: a cobblegen in your back-pocket. The cobble will quickly disappear.
    shoulder-mounted piston: This lets you push blocks.
    wool: pretty colors. Others might not see it in SMP?
    A very small taste of things to come; these are mere toys. Most upgrades'll require an energy source and/or very, very exotic materials.
  Now using the cooler texture for dark iron. It looks so much cooler now.
  Buildcraft API no longer used


